/*********************************************************
** Copyright (c) 2005
** University of Washington
** Licensed under the terms set forth by University of
** Washington. If you did not sign such a license, you
** are using this software/code illegally and you do not
** have permission to use, modify, or redistribute
** this or any files in this software package.
**
** File: main.cpp
**
**********************************************************/
#include <iostream>
#include "DummyUnitTestClass.h"
#include "UnitTestRunner.h"

#include <exception>
using namespace std;

int main(void)
{
  cout << "Testing CDummyUnitTestClass...\n";
  CDummyUnitTestClass test;
  test.Run();
  cout << "Done.\n\n";

  cout << "Testing CDummyUnitTestClass...\n";
  CUnitTestRunner runner;
  runner.AddObject(&test, "CDummyUnitTestClass");
  runner.Run();
  cout << "Done.\n";

  cout << "Testing exceptions..\n";
  try
    {
      throw new exception();
    }
  catch(exception* pEx)
  {
    cout << "caught\n";
  }

  cout << "Done.\n";

}
